/*----------------------------------------------------------------------------
 * Name:    Blinky.c
 * Purpose: LED Flasher for MCB1200 with ADC Conversion
 *----------------------------------------------------------------------------
 * This file is part of the uVision/ARM development tools.
 * This software may only be used under the terms of a valid, current,
 * end user licence from KEIL for a compatible version of KEIL software
 * development tools. Nothing else gives you the right to use this software.
 *
 * This software is supplied "AS IS" without warranties of any kind.
 *
 * Copyright (c) 2004-2014 Keil - An ARM Company. All rights reserved.
 *----------------------------------------------------------------------------*/

#include "LPC122x.h"                    // Device header
#include "Board_LED.h"
#include "Board_ADC.h"

/* Import external variables from IRQ.c file                                  */
extern volatile unsigned char clock_1s;

uint16_t AD_last;                       /* Last converted value               */

/*----------------------------------------------------------------------------
  Main function
 *----------------------------------------------------------------------------*/
int main (void) {
  int32_t  res;

  LED_Initialize();                     /* LED Initialization                 */
  ADC_Initialize();                     /* ADC Initialization                 */

  SystemCoreClockUpdate();
  SysTick_Config(SystemCoreClock/100);  /* Generate interrupt each 10 ms      */

  while (1) {                           /* Loop forever                       */    
    
    /* AD converter input                                                     */
    res = ADC_GetValue();
    if (res != -1) {                    /* If conversion has finished         */
      AD_last = res;
    }
  }
}
